#include "ALibObject.hpp"

// public
// Constructors
ALibObject::ALibObject()
{
}

ALibObject::ALibObject( const ALibObject& aALibObject)
{
}

// Destructor
ALibObject::~ALibObject()
{
}

// Operators
ALibObject& ALibObject::operator=( const ALibObject& aALibObject)
{
   return *this;
}

bool ALibObject::operator==(const ALibObject& aALibObject) const
{
   return this == &aALibObject;
}

bool ALibObject::operator<(const ALibObject& aALibObject) const
{
   return this < &aALibObject;
}

// Accessors
/* static */ ALibObject::AVersion ALibObject::getLibraryVersion()
{
   return AVersion(/*ALIB_MAJOR*/1,/*ALIB_MINOR*/1);
}

// Mutators

// Other operations
string  ALibObject::asString() const
{
   return asChar();
}

string  ALibObject::asDebugInfo() const
{
   return asDebugChar();
}

const char* ALibObject::asChar() const
{
   return typeid(*this).name();
}

const char* ALibObject::asDebugChar() const
{
   return typeid(*this).name();
}

// protected
// Operations

// private
// Operations

