#ifndef _ALibConfig_h_
#define _ALibConfig_h_

// Copyright (c) 1999 Askesis B.V. See licence.txt for details.
// For information, bug reports and additions send e-mail to ALib@askesis.nl

// Author : Joost Kraaijeveld
// Created: 14 dec 1999
// Purpose: Global include file for configuration purposes. Also includes compiler specific
//          global configuration files.


// Restart counting at 0 with the GCC port
#define ALIB_MAJOR   0
#define ALIB_MINOR   1

// This should be done by the compiler instead !!!!
#define __ALIBWINDOWS__    1
#undef  __ALIBLINUX__


#ifdef APRODUCTION
#endif // APRODUCTION

#ifdef ADEVELOP
#define ALIB_TRACE_ALL 1
#endif // ADEVELOP

// Compiler specific includes.
// Include these files as last so that they can reference the global stuff !!!

#ifdef __IBMCPP__
#include "ALibVAConfig.h"
#endif // __IBMCPP__

#ifdef __CYGWIN32__
#include "ALibCygwin32Config.h"
#endif // __CYGWIN32__

#endif // ALibConfig_h_
